package com.logwire.bhft.config;

import org.springframework.amqp.core.*;
import org.springframework.boot.SpringBootConfiguration;
import org.springframework.context.annotation.Bean;


@SpringBootConfiguration
public class RabbitmqConfig {

//    @Bean
//    public Queue queueWork(){
//        return new Queue("queue_work_lyy");
//    }
//
//    @Bean
//    public Queue queueFanout(){
//        return new Queue("queue_fanout_lyy");
//    }
//
//    @Bean
//    public FanoutExchange exchangeFanoutLyy(){
//        return new FanoutExchange("queue_fanout_lyy");
//    }
//
//    @Bean
//    public Binding bindingExchange(){
//        return BindingBuilder.bind(queueFanout()).to(exchangeFanoutLyy());
//    }

    @Bean
    public Queue queueTopic1(){
        return new Queue("queue_topic_ypark2");
    }

//    @Bean
//    public Queue queueTopic2(){
//        return new Queue("queue_topic_lyy2");
//    }

    @Bean
    public TopicExchange exchangeTopicLyy(){
        return new TopicExchange("global.parking.topic.exchange");
    }

    @Bean
    public Binding bindingTopic(){
        return BindingBuilder.bind(queueTopic1()).to(exchangeTopicLyy()).with("ASYNUP.uploadParkingTradingRecord.ypark2");
    }

//    @Bean
//    public Binding bindingTopic2(){
//        return BindingBuilder.bind(queueTopic2()).to(exchangeTopicLyy()).with("topic.*");
//    }
}
