package com.logwire.bhft.dao;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.logwire.bhft.domain.InterfaceParkingGate;

/**
* @author 123
* @description 针对表【t01_interface_parking_gate(停车场道闸接口信息)】的数据库操作Mapper
* @createDate 2022-03-08 17:27:56
* @Entity com.logwire.bhft.domain.InterfaceParkingGate
*/
@Mapper
public interface InterfaceParkingGateMapper {

    List<InterfaceParkingGate> selectAllByRequestIdOrExitRequestId(@Param("requestId") String requestId);

    List<InterfaceParkingGate> selectByEntryTimeAndEntryId(@Param("entryTime") Object entryTime, @Param("entryId") String entryId);

    int insertAll(InterfaceParkingGate interfaceParkingGate);

    int updateExitInfo(InterfaceParkingGate interfaceParkingGate);

    int updateExitId(@Param("exitId") String exitId);

}




