package com.logwire.bhft.domain;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class Infomation implements Serializable {

    private static final long serialVersionUID = 1L;

    private String parkUUID;

    private Long requestTime;

    private String terminalId;

    private String requestId;

    private String sign;

    private String version;

    private String service;

    private String parkType;

    private String plateNo;

    private String vehicleType;

    // 这是个对象
    private String plateParseInfo;

    private Long entryTime;

    private String entryId;

    private Long exitTime;

    private String exitId;

    private Long tradeTime;

    private String tollRateVersion;

    private String tradeType;

    private float account;

    private float cash;

    private String entryPhoto;

    private String exitPhoto;

    private String tollCollectorName;

    private String useType;

    private String areaId;

    private String slotId;

    private Boolean booking;

    // 这是个对象
    private Object parkingDetail;



    // 修改


}
